## golang-github-keltia-archive 0.9.1

=== Makefile ===
# Main Makefile for archive
#
# Copyright 2018 © by Ollivier Robert
#

GO=		go
GOBIN=  ${GOPATH}/bin

SRCS= archive.go utils.go

OPTS=	-ldflags="-s -w" -v

all: build

build: ${SRCS}
	${GO} build ${OPTS} .

test:
	${GO} test -v .

install: ${BIN}
	${GO} install ${OPTS} .

clean:
	${GO} clean -v

# use github.com/mgechev/revive
lint:
	revive

push:
	git push --all
	git push --tags

## golang-github-keltia-archive 0.3.3

=== debian/changelog ===
golang-github-keltia-archive (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #920388)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 24 Jan 2019 18:08:29 -0500

=== debian/control ===
Source: golang-github-keltia-archive
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-github-proglottis-gpgme-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/keltia/archive
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-keltia-archive
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-keltia-archive.git
XS-Go-Import-Path: github.com/keltia/archive
Testsuite: autopkgtest-pkg-go

Package: golang-github-keltia-archive-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-github-proglottis-gpgme-dev,
Description: Small Go library for handling archives of various types.
 The module currently supports the following "archives":
 .
  * plain text
  * gzip files (one file per stream, only first stream)
  * zip files
  * GPG files (either .asc or .gpg)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-keltia-archive-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/keltia/archive/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-keltia-archive 0.4.0

=== debian/changelog ===
golang-github-keltia-archive (0.4.0-1) experimental; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2019 09:55:13 -0400

## golang-github-keltia-archive 0.7.0

=== debian/changelog ===
golang-github-keltia-archive (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 16:00:05 -0400

## golang-github-keltia-archive 0.8.0

=== debian/changelog ===
golang-github-keltia-archive (0.8.0-2) unstable; urgency=medium

  * suspend two tests (see description in patch file)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jan 2021 17:01:52 +0100

golang-github-keltia-archive (0.8.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release
  * Add myself to Uploaders:
  * debian/control: use dh13
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/control: add golang-github-klauspost-compress-dev as dependency
  * reverse dependencies successfully built with ratt:
    - dmarc-cat

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Jan 2021 22:21:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 12),
+	, Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-github-proglottis-gpgme-dev,
-Standards-Version: 4.3.0
+               golang-github-klauspost-compress-dev,
+Standards-Version: 4.5.1
 Homepage: https://github.com/keltia/archive
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-keltia-archive
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-keltia-archive.git
@@ -22,6 +24,7 @@
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-github-proglottis-gpgme-dev,
+         golang-github-klauspost-compress-dev,
 Description: Small Go library for handling archives of various types.
  The module currently supports the following "archives":
  .

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-keltia-archive-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/keltia/archive/tags .*/v?(\d\S*)\.tar\.gz debian uupdate

## golang-github-keltia-archive 0.9.1

=== debian/changelog ===
golang-github-keltia-archive (0.9.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 14 Apr 2025 13:06:16 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=golang --with=golang
